export default class Guid {
    private id;
    static newGuid(): Guid;
    static newGuidString(): string;
    private static s4;
    toString(): string;
    static empty(): Guid;
    static compareTo(value: Guid): number;
    constructor(id: string);
}
